# Interface IResourceProxyVisitor

public interface IResourceProxyVisitor
This interface is implemented by objects that visit resource trees. The fast visitor is an optimized mechanism for tree traversal that creates a minimal number of objects. The visitor is provided with a callback interface, instead of a resource. Through the callback, the visitor can request information about the resource being visited.

Usage:

    class Visitor implements IResourceProxyVisitor {
            public boolean visit (IResourceProxy proxy) {
                    //       your code here
                    return true;
            }
    }
    ResourcesPlugin.getWorkspace().getRoot().accept(new Visitor(), IResource.NONE);

Clients may implement this interface.

Since:
  2.1
See Also:
  - `IResource.accept(IResourceVisitor)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`visit(IResourceProxy proxy)`
Visits the given resource.

## Method Details

### visit

boolean visit(IResourceProxy proxy) throws CoreException
Visits the given resource.

Parameters:
  `proxy` - for requesting information about the resource being visited; this object is only valid for the duration of the invocation of this method, and must not be used after this method has completed
Returns:
  `true` if the resource's members should be visited; `false` if they should be skipped
Throws:
  `CoreException` - if the visit fails for some reason.